Bug 90349 - Installer give a error message try access other partitions
Installer give a error message try access other partitions
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 08:56 EDT by Magno Weege
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Magno Weege 2003-05-07 08:56:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
Computer: Compaq Evo D300, Pentium 1.8 Gh, 40 GB HD, TNT2 32 MB Video Card.
I have partition my HD for 4 Operation System, like this:

hda1 - Windows XP
hda2 - OpenBSD
hda3 - FreeBSD
hda4 - Extend
   hda5 - /
   hda6 - swap
   hda7 - home

I have installed the other 3 S.O. (Windows, OpenBSD, FreeBSD) and when I will
install the RedHat 9.0 I have a Crash!!

DiskDruid see the others all partition correct, like windows, Open and Free! and
I do the partitions for redhat successfull. I add the OpenBSD and FreeBSD on
boot manager successfull, like this:

* RedHat
  OpenBSD hda2
  FreeBSD hda3
  Windows hda1

Everthing it's ok, until now!
I select the packages (some packages!) and when the RedHat will start the
installation I see the follow message:

"Error informing the kernel about modifications to partition /dev/hda2 - Device
or resource busy. This means linux won't know about any changes you made to
/dev/hda2 until you reboot - so you shouldn't mount it in any way before rebooting."

                        OK

When I press ok, I see the same message to hda3 and I see the message that it's
a bug and ask me if I want save the bug on a disket, but when I try the system
reboot! :-(

I try to do everthing (afhhh!)
like:
 - Don't put the OpenBSD and FreeBSD on the boot loader! (after diskdruid).
 - Install minimun packages!
 - do more partitions for redhat (desesperate now!!)
 - and other crazy things...
 - so... I give up... :-(

I don't no if it's a bug, but the redhat say yes! so I reported!!
And sory for my bad english... :-(







Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the Fdisk and make 4 partitions and put the label for each one!
2. Install windows XP
3. Install OpenBSD 3.2
4. Install FreeBSD 5
5. Install RedHat 9.0
    

Additional info: The actual boot is made for FreeBSD (without redhat, offcourse!)!
Comment 1 Jeremy Katz 2004-06-25 15:07:17 EDT
Does this still happen with newer releases?
Comment 2 Jeremy Katz 2004-11-04 09:00:54 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.